import type { StackflowReactPlugin } from "@stackflow/react";
import * as css from "./basicUIPlugin.css";
import type { RecursivePartial } from "./utils";
type BasicUIPluginOptions = RecursivePartial<css.GlobalVars> & {
    theme: "android" | "cupertino";
    rootClassName?: string;
    appBar?: {
        backButton?: {
            renderIcon?: () => React.ReactNode;
            ariaLabel?: string;
        } | {
            render?: () => React.ReactNode;
        };
        closeButton?: {
            renderIcon?: () => React.ReactNode;
            ariaLabel?: string;
            onClick?: (e: React.MouseEvent<HTMLButtonElement>) => void;
        } | {
            render?: () => React.ReactNode;
        };
    };
};
export declare const GlobalOptionsProvider: import("react").Provider<BasicUIPluginOptions>;
export declare function useGlobalOptions(): BasicUIPluginOptions;
export declare const basicUIPlugin: (options: BasicUIPluginOptions | ((args: {
    initialContext?: any;
}) => BasicUIPluginOptions)) => StackflowReactPlugin;
export {};
//# sourceMappingURL=basicUIPlugin.d.ts.map