import type { GlobalVars } from "../basicUIPlugin.css";
import type { PropOf } from "../utils";
import AppBar from "./AppBar";
export declare const OFFSET_PX_ANDROID = 32;
export declare const OFFSET_PX_CUPERTINO = 80;
export type AppScreenContext = {
    scroll: (args: {
        top: number;
    }) => void;
    zIndices: {
        dim: number;
        paper: number;
        edge: number;
        appBar: number;
    };
};
export declare function useAppScreen(): AppScreenContext;
export type AppScreenProps = Partial<Pick<GlobalVars, "backgroundColor" | "backgroundImage" | "dimBackgroundColor">> & {
    appBar?: Omit<PropOf<typeof AppBar>, "theme" | "modalPresentationStyle" | "ref" | "key">;
    preventSwipeBack?: boolean;
    CUPERTINO_ONLY_modalPresentationStyle?: "fullScreen";
    ANDROID_ONLY_activityEnterStyle?: "slideInLeft";
    children: React.ReactNode;
};
declare const AppScreen: React.FC<AppScreenProps>;
export default AppScreen;
//# sourceMappingURL=AppScreen.d.ts.map